Page MenuHomePhabricator

Don't make donors guess minimum donation amount
Closed, ResolvedPublic1 Story Points

Description

This is probably a duplicate bug.

When we display a minimum amount error, do all of the following:
a) Use very exact language to explain that you need to increase the amount
b) Say exactly what that minimum amount is,
c) Provide a button or link that populates your donation with this minimum amount.

It would be polite to also explain *why* we have a minimum amount, using some wording that doesn't pull our vendors' pants down wrt. our contractual processing fees.

Event Timeline

awight created this task.Jul 12 2015, 4:19 AM
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 12 2015, 4:19 AM

We have not seen any Zendesk tickets in the past 4 months where donors are unclear what the minimum is or how to change it.

Also, the proposed new answer about 'Why a minimum?' for the WMF FAQ is:

Our donations range widely in size, and we are pleased to offer as low a minimum as possible. The minimum donation is helpful in deterring unauthorized uses of financial information.

awight set Security to None.
Ejegg claimed this task.Apr 20 2016, 7:13 PM
Ejegg set the point value for this task to 1.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 20 2016, 7:13 PM

Change 284367 had a related patch set uploaded (by Ejegg):
Turn on client-side amount validation for new forms

https://gerrit.wikimedia.org/r/284367

Change 284367 merged by jenkins-bot:
Turn on client-side amount validation for new forms

https://gerrit.wikimedia.org/r/284367

Ejegg added a comment.Apr 26 2016, 4:29 PM

Note that we use an informative minimum amount message on client-side validation, we just aren't using it on the server. DataValidator currently just gets a boolean value back from validation functions - maybe let them return a message key and params too?

Maybe instead of validate_amount, validate_name, etc, we call the functions getAmountErrors, getNameErrors, etc.

Change 286261 had a related patch set uploaded (by Ejegg):
WIP encapsulated amount validation for better messages

https://gerrit.wikimedia.org/r/286261

Change 286261 merged by jenkins-bot:
Encapsulated amount validation for better messages

https://gerrit.wikimedia.org/r/286261

Ejegg closed this task as Resolved.Jul 20 2016, 10:15 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM